<?php
    @session_start();
    $include_cuppa = $_SESSION["cuSession"]->paths->administrator->document_path."classes/Cuppa.php";
    if(!file_exists($include_cuppa)){ echo "<script> window.location.href = window.location.href; </script>"; exit(); }; include_once $include_cuppa;
    $cuppa = Cuppa::getInstance();
    $language = $cuppa->language->load("web");
    $current_language = $cuppa->language->current();
    if(!@$path) $path = $cuppa->dataHelp->getUrlVars(@$_POST["path"]);
    $articles = $cuppa->dataBase->getList("ex_blog_articles", "enabled = 1 AND (language = '' OR language = '".$current_language."')", "3", "date DESC, id DESC", true);
?>
<style>
    .outstanding{ background: #F0F0F0; padding: 50px 20px 30px; text-align: center; }
    .outstanding .item{ margin-bottom: 20px; transition: 0.3s; transition-property: background-color; vertical-align: top; text-align: left; display: inline-block; background: #FFFFFF; width: 356px; margin: 0px 15px; }
    .outstanding .item .img{ background-position: center; background-size: cover; }
    .outstanding .item:hover{ background: #EE3F2E; }
    .outstanding .item:hover *{ color: #FFF; }
    
    .r1300 .outstanding{ padding: 50px 0px;  }
    .r1300 .outstanding .item{ margin: 0px 5px 10px;  }
    .r1300 .outstanding .item .space{ padding: 20px !important; }
    .r500 .outstanding{ padding: 50px 10px;  }
    .r500 .outstanding .item{ width: 100%; margin: 0 0 10px; }
    .r500 .outstanding .item .f_22{ font-size: 16px; }
    .r500 .outstanding .item .f_16{ font-size: 14px; }
</style>
<script>
    outstanding = {}
    //++ resize
        outstanding.resize = function(){ 
            $(".outstanding .list .img").height( $(".outstanding .list .img").width()*0.62 );
            $(".outstanding .item").height("auto");
            var height = cuppa.getCSSValues(".outstanding .item", "height", "max");
            $(".outstanding .item").height( height );
        }; 
    //--
    //++ init
        outstanding.init = function(){
            cuppa.addEventListener("resize", outstanding.resize, window, "outstanding"); outstanding.resize();
            cuppa.managerURL.updateLinks(".outstanding .link");
        }; cuppa.addEventListener("ready",  outstanding.init, document, "outstanding");
    //--
</script>
<div class="outstanding">
    <div class="f_80" style="color: #B3B3B5; padding-bottom: 30px;"><?php echo $language->our_blog ?></div>
    <div class="list" >
        <?php if($articles){ forEach($articles as $item){ ?>
            <?php
                $user = $cuppa->dataBase->getRow("cu_users", "id = ".$item->user, true);
                $cat_id = json_decode($item->categories); $cat_id = @$cat_id[0];
                $cat_alias =  $cuppa->dataBase->getColumn("ex_blog_categories", "alias", "id = ".$cat_id);
            ?>
            <a class="item link" href="<?php echo $current_language.$cuppa->language->translatePath("/blog/".$cat_alias."/".$item->alias, $language, true, true) ?>">
                <div class="space" style="padding: 30px;">
                    <div class="img" style="background-image: url(administrator/<?php echo ($item->thumbnail) ? $item->thumbnail : $item->image ?>);" ></div>
                    <div class="f_22" style="margin: 10px 0px;"><?php echo $item->title ?></div>
                    <div class="f_16 f_source_light" style="margin: 20px 0px; font-style: italic; "><?php echo $cuppa->language->value("by", $language) ?> <span style="text-decoration: underline;"><?php echo $user->name ?></span></div>
                    <div class="f_16 f_source_light"><?php echo $cuppa->dataHelp->cutText(" ", $item->abstract, 100,"...") ?></div>
                </div>
            </a>
        <?php } } ?>
    </div>
</div>