<?php
    @session_start();
    include_once $_SESSION["cuSession"]->paths->administrator->document_path."classes/Cuppa.php";
    $cuppa = Cuppa::getInstance();
    $language = $cuppa->language->load("web");
    $current_language = $cuppa->language->current();
    if(!@$path) $path = $cuppa->dataHelp->getUrlVars(@$_POST["path"]);
    // section
        $condition = "menus_id NOT IN (1,2) AND alias = '".@$path[count($path)-1]."' AND (language = '' OR language = '".$cuppa->language->current()."')";
        $section = $cuppa->dataBase->getRow("cu_menu_items", $condition, true);
    // content
        $cond = "enabled = 1 and (language = '' OR language = '".$current_language."') ";
        if($section){ $cond.= " AND sections LIKE '%\"".@$section->id."\"%'";
        }else if(!$path){ $cond.= " AND sections LIKE '%\"0\"%'"; 
        }else{ return; }
        $banners = $cuppa->dataBase->getList("ex_banners", $cond, "", "`order` ASC", true);
?>
<?php if(@$banners){ ?>
    <style>
        .banners{ max-height: 800px; height: 630px;  }
        .banners .item{ background-position: center; background-size: cover; }
        .banners .points{ position: absolute; bottom: 20px; left: 50%; transform: translate(-50%, 0px) !important; -webkit-transform: translate(-50%, 0px) !important; }
        .banners .points .point{ cursor: pointer; display: inline-block; width: 15px; height: 15px; background: #4991C7; border-radius: 50px; margin: 0px 5px; }
    </style>
    <script>
        banners = {}
        //++ change
            banners.change = function(params, init){
                if(init){ 
                    $(".banners .list").append(params.element);
                }else{
                    var time = new TimelineMax();
                        time.fromTo(params.element, 0.7, {alpha:0}, {alpha:1, ease:Cubic.easeInOut} );
                    $(".banners .list").append(params.element);
                }
            }
        //--
        //++ resize
            banners.resize = function(){ $(".banners").height($(".banners").width()*0.25) }; 
        //--
        //++ end
            banners.removed = function(e){ cuppa.removeEventGroup("banners"); if(banners.slide) banners.slide.distroy(); }
        //--
        //++ init
            banners.init = function(){
                cuppa.addEventListener("resize", banners.resize, window, "banners"); banners.resize();
                cuppa.addEventListener("removed", banners.removed, ".banners", "banners");
                banners.slide = new cuppa.slider(".banners .item", {callback:banners.change, duration:10, points:".banners .points .point"});
            }; cuppa.addEventListener("ready",  banners.init, document, "banners");
        //--
    </script>
    <div class="banners">
        <div class="list cover">
            <?php forEach($banners as $item){ ?>
                <div class="item cover" style="background-image: url(administrator/<?php echo $item->background ?>);" >
                    <div class="center_align_1 max_width">
                        <div class="center_align_2">
                            <div class="item_wrapper">
                                <?php $cuppa->echoString($item->content); ?>
                            </div>
                        </div>
                    </div>
                </div>
            <?php } ?>
        </div>  
        <div class="points">
            <?php if(count($banners) > 1){ forEach($banners as $item){ ?>
            <div class="point"></div>
            <?php } } ?>
        </div>      
    </div>
<?php } ?>