<?php
    @session_start();
    $include_cuppa = $_SESSION["cuSession"]->paths->administrator->document_path."classes/Cuppa.php";
    if(!file_exists($include_cuppa)){ echo "<script> window.location.href = window.location.href; </script>"; exit(); }; include_once $include_cuppa;
    $cuppa = Cuppa::getInstance();
    $language = $cuppa->language->load("web");
    $current_language = $cuppa->language->current();
    if(!@$path) $path = $cuppa->dataHelp->getUrlVars(@$_POST["path"]);
    $article = $cuppa->dataBase->getRow("ex_blog_articles", "alias = '".$path[count($path)-1]."'", true);
    // related articles by tags
        $condition = "enabled = 1 AND id <> ".$article->id." AND tags REGEXP '".str_replace(",","|",$article->tags)."'";
        $related =  $cuppa->dataBase->getList("ex_blog_articles", $condition, "2", "date DESC, id DESC", true);
?>
<style>
    .b_article{  }
    .b_article .header{ background: center no-repeat; background-size: cover; }
</style>
<script>
    b_article = {}
    //++ resize
        b_article.resize = function(){
            $(".header").height($(window).width()*0.4);
        }; 
    //--
    //++ end
        b_article.removed = function(e){ cuppa.removeEventGroup("b_article"); }
    //--
    //++ init
        b_article.init = function(){
            cuppa.addEventListener("resize", b_article.resize, window, "b_article"); b_article.resize();
            cuppa.addEventListener("removed", blog.removed, ".b_article", "b_article");
        }; cuppa.addEventListener("ready",  b_article.init, document, "b_article");
    //--
</script>
<div class="b_article">
     <?php
        $user = $cuppa->dataBase->getRow("cu_users", "id = ".$article->user, true);
        $cat_id = json_decode($article->categories); $cat_id = @$cat_id[0];
        $cat_alias =  $cuppa->dataBase->getColumn("ex_blog_categories", "alias", "id = ".$cat_id);
     ?>
    <div class="header" style="background-image: url(administrator/<?php echo $article->image ?>);" >
        <div class="cover over" style="background: rgba(0,0,0,0.6);"></div>
        <div class="center_align_1 max_width" style="color: #FFF; " >
            <div class="center_align_2" style="vertical-align: bottom; text-align: left; padding: 0px 20px 80px;">
                <div class="user_img" style="background-image: url(administrator/<?php echo $user->image ?>);"></div>
                <div class="t_40" style="max-width: 691px; line-height: 98%; margin-top: 20px;" ><?php echo $article->title ?> </div>
                <div class="t_16" style="margin-top: 5px;" ><?php echo $cuppa->language->value("By", $language)." ".$user->name ?> </div>
            </div>
        </div>
    </div>
    <div class="content max_width" style="overflow: hidden; padding: 55px 20px 0px;">
        <div class="share" >
            <div class="f_18 f_source_semibold" ><?php echo $cuppa->language->value("Share", $language); ?></div>
            <img onclick="cuppa.share('facebook')" src="administrator/media/page/template/btn_facebook2.png" />
            <img onclick="cuppa.share('twitter', '', '<?php echo $article->title ?>')" src="administrator/media/page/template/btn_twitter2.png" />
            <img onclick="cuppa.share('google')" src="administrator/media/page/template/btn_google.png" />
            <img onclick="cuppa.share('linkedIn')" src="administrator/media/page/template/btn_linkedIn.png" />
        </div>
        <div class="texts" >
            <div class="article_content"><?php $cuppa->echoString($article->content) ?></div>
            <div><?php echo $cuppa->language->value("Tags", $language) ?>: <?php echo $article->tags ?></div>
            <div class="coments" style="margin-top: 40px;">
                <div id="disqus_thread"></div>
                <script type="text/javascript">
                    var disqus_shortname = 'cloudbit';
                    (function() {
                        var dsq = document.createElement('script'); dsq.type = 'text/javascript'; dsq.async = true;
                            dsq.src = '//' + disqus_shortname + '.disqus.com/embed.js';
                        (document.getElementsByTagName('head')[0] || document.getElementsByTagName('body')[0]).appendChild(dsq);
                    })(); function disqus_config(e) { this.callbacks.onReady.push(function(e){ }); }
                </script>
            </div>
        </div>
        <?php if($related){ ?>
            <div class="related_list" style="clear: both;">
                <div class="f_18 f_source_semibold" style="color: #333333; text-transform: uppercase; padding: 30px 0px 0px; border-bottom: 1px solid #CCCCCC;"><?php echo $cuppa->language->value("related_post", $language)  ?></div>    
                <?php forEach($related as $item){ ?>
                    <?php
                        $user = $cuppa->dataBase->getRow("cu_users", "id = ".$item->user, true);
                        $cat_id = json_decode($item->categories); $cat_id = @$cat_id[0];
                        $cat_alias =  $cuppa->dataBase->getColumn("ex_blog_categories", "alias", "id = ".$cat_id);
                    ?>
                    <a class="r_item link" href="<?php echo $current_language.$cuppa->language->translatePath("/blog/".$cat_alias."/".$item->alias, $language, true, true) ?>" >
                        <div class="column column1" width="123">
                            <div class="user_img" style="background-image: url(administrator/<?php echo $user->image ?>);"></div>
                        </div>
                        <div class="column column2" >
                            <div class="f_30 "><?php echo $item->title ?></div>
                            <div class="f_16" style="margin: 5px 0px 0px;"><span><?php echo $cuppa->language->value("by", $language) ?></span> <span style="color: #F33A11;"><?php echo $user->name ?></span></div>
                        </div>
                    </a>
                <?php } ?>
            </div>
        <?php } ?>
    </div>
</div>